kind: Namespace
apiVersion: v1
metadata:
  name: whoami
---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: whoami
  namespace: whoami
  labels:
    app: whoami
spec:
  replicas: 1
  selector:
    matchLabels:
      app: whoami
  template:
    metadata:
      labels:
        app: whoami
    spec:
      containers:
        - name: whoami
          image: containous/whoami
          ports:
            - name: web
              containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: whoami
  namespace: whoami
spec:
  ports:
    - protocol: TCP
      name: web
      port: 80
  selector:
    app: whoami
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: whoami-http
  namespace: whoami
spec:
  entryPoints:
    - web
  routes:
  - match: Host(`whoami.yodamad.fr`)
    kind: Rule
    services:
    - name: whoami
      port: 80
    middlewares:
    - name: https-only
---
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: whoami-https
  namespace: whoami
spec:
  entryPoints:
    - secure
  routes:
  - match: Host(`whoami.yodamad.fr`)
    kind: Rule
    services:
    - name: whoami
      port: 80
    middlewares:
    - name: auth-traefik-webui
  tls:
    secretName: whoami-cert
